#ifndef INDEX_H
#define INDEX_H

#include "global.h"

/*
    defs
*/
#define INV  (-1)

/*
    data
*/
extern const int kk_reduce[64 * 64],
                 kkp_reduce[64 * 64];

/*
    functions
*/
INDEX index_maxpos(matsig_s *s);
void index_to_board(INDEX idx, state_s *s, matsig_s *ms);
INDEX get_index(state_s *s, matsig_s *ms);

#endif
